=== libkpimidentities/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

project( libkpimidentities )

tde_import( ktnef )
tde_import( libkmime )
tde_import( libkcal )
tde_import( libtdenetwork )
tde_import( certmanager )
tde_import( libtdepim )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${CMAKE_SOURCE_DIR}/certmanager/lib
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kpimidentities (shared) ###################

tde_add_library( kpimidentities SHARED AUTOMOC
  SOURCES
    identitymanager.cpp identity.cpp identitymanager.skel
    identitycombo.cpp
  VERSION 1.0.0
  LINK kleopatra-shared tdepim-shared
  DESTINATION ${LIB_INSTALL_DIR}
)

tde_install_export( )
