=== kaddressbook/csv-templates/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_translated_desktop(
  SOURCE kaddressbook.desktop outlook2000.desktop yahoo.desktop
  DESTINATION ${DATA_INSTALL_DIR}/kaddressbook/csv-templates
  PO_DIR kaddressbook-desktops
)
