=== kmail/avscripts/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( PROGRAMS
    kmail_clamav.sh kmail_sav.sh kmail_fprot.sh kmail_antivir.sh
  DESTINATION ${BIN_INSTALL_DIR} )
