=== kmail/konqueror/CMakeLists.txt ===
#################################################
#
#  (C) 2013 Timothy Pearson
#  kb9vqf (AT) pearsoncomputing.net
#
#  Improvements and feedback are welcome
#
#  This file is released under the GPL >= 2
#
#################################################

add_subdirectory( servicemenus )
