=== kode/kxml_compiler/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kxml_compiler (executable) ################

tde_add_executable( kxml_compiler
  SOURCES
    parser.cpp creator.cpp kxml_compiler.cpp
  LINK kode-shared
  DESTINATION ${BIN_INSTALL_DIR}
)
