## tdepim-trinity 14.1.6~pre2

=== debian/changelog ===
tdepim-trinity (4:14.1.6~pre2-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for bcbf5a024d406e2a77dbd472535fbfc955660469
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdepim

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:16:19 +0100
