## tdepim-trinity 14.1.6~pre3

=== debian/changelog ===
tdepim-trinity (4:14.1.6~pre3-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for f1f8e378956a0334dd455d8c1d5bc5b43b0efd36
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdepim

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 30 Dec 2025 08:53:06 +0100
