## tdepim-trinity 14.1.6~pre8

=== debian/changelog ===
tdepim-trinity (4:14.1.6~pre8-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for d6523152f693f10973149d8c7fb20f6667861587
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdepim

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 16:17:50 +0100
