## tdepim-trinity 14.1.6~pre12

=== kaddressbook/kcmconfigs/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/kaddressbook/common
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kaddressbook/common
  ${CMAKE_SOURCE_DIR}/kaddressbook/interfaces
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kabconfig.desktop kabldapconfig.desktop kabcustomfields.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR kaddressbook-desktops
)


##### kcm_kabconfig (module) ####################

tde_add_kpart( kcm_kabconfig AUTOMOC
  SOURCES
    kcmkabconfig.cpp kabconfigwidget.cpp extensionconfigdialog.cpp
    addresseewidget.cpp
  LINK kabcommon-static tdepim-shared
  DEPENDENCIES kaddressbook+common+kabprefs_base.cpp
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kcm_kabldapconfig (module) ################

tde_add_kpart( kcm_kabldapconfig AUTOMOC
  SOURCES
    addhostdialog.cpp kcmkabldapconfig.cpp ldapoptionswidget.cpp
  LINK tdepim-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kcm_kabcustomfields (module) ##############

tde_add_kpart( kcm_kabcustomfields AUTOMOC
  SOURCES kcmkabcustomfields.cpp
  LINK kabcommon-static tdepim-shared
  DEPENDENCIES kaddressbook+common+kabprefs_base.cpp
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
