=== tderesources/egroupware/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/kaddressbook/common
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kaddressbook/common
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES
    tdeabc_resourcexmlrpc.h kcal_resourcexmlrpc.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/tdeabc )


##### other data ################################

tde_create_translated_desktop(
  SOURCE tdeabc_xmlrpc.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/tderesources/tdeabc
  PO_DIR tderesources-desktops
)

tde_create_translated_desktop(
  SOURCE kcal_xmlrpc.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/tderesources/kcal
  PO_DIR tderesources-desktops
)

tde_create_translated_desktop(
  SOURCE knotes_xmlrpc.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/tderesources/knotes
  PO_DIR tderesources-desktops
)


##### egwcommon (static) ########################

tde_add_library( egwcommon STATIC_PIC AUTOMOC
  SOURCES
    xmlrpciface.cpp synchronizer.cpp debugdialog.cpp
)


##### tdeabc_xmlrpc (shared) ######################

tde_add_library( tdeabc_xmlrpc SHARED AUTOMOC
  SOURCES
    tdeabc_resourcexmlrpc.cpp tdeabc_resourcexmlrpcconfig.cpp
    tdeabc_egroupwareprefs.kcfgc
  VERSION 1.0.0
  LINK egwcommon-static kabcommon-static tdepim-shared
  DEPENDENCIES kaddressbook+common+kabprefs_base.cpp
  DESTINATION ${LIB_INSTALL_DIR}
)


##### kcal_xmlrpc (shared) ######################

tde_add_library( kcal_xmlrpc SHARED AUTOMOC
  SOURCES
    kcal_resourcexmlrpc.cpp kcal_resourcexmlrpcconfig.cpp todostatemapper.cpp
    kcal_egroupwareprefs.kcfgc
  VERSION 1.0.0
  LINK egwcommon-static tdepim-shared
  DESTINATION ${LIB_INSTALL_DIR}
)


##### knotes_xmlrpc (shared) ####################

tde_add_library( knotes_xmlrpc SHARED AUTOMOC
  SOURCES
    knotes_resourcexmlrpc.cpp knotes_resourcexmlrpcconfig.cpp
    knotes_egroupwareprefs.kcfgc
  VERSION 1.0.0
  LINK egwcommon-static knotes-shared
  DESTINATION ${LIB_INSTALL_DIR}
)


##### tdeabc_xmlrpc (module) ######################

tde_add_kpart( tdeabc_xmlrpc AUTOMOC
  SOURCES tdeabc_resourcexmlrpcplugin.cpp
  LINK tdeabc_xmlrpc-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kcal_xmlrpc (module) ######################

tde_add_kpart( kcal_xmlrpc AUTOMOC
  SOURCES kcal_resourcexmlrpcplugin.cpp
  LINK kcal_xmlrpc-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### knotes_xmlrpc (module) ####################

tde_add_kpart( knotes_xmlrpc AUTOMOC
  SOURCES knotes_resourcexmlrpcplugin.cpp
  LINK knotes_xmlrpc-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
