=== debian/changelog ===
tdepim-trinity (4:14.1.6~pre12-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 327f4034090d37be3744cc97ec5dae79661d0c67
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdepim

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 12 Feb 2026 08:38:08 +0100
